
----------------------------------------------------------
-- ArtDefine_Landmarks
----------------------------------------------------------
INSERT INTO ArtDefine_LandmarkTypes (Type,	LandmarkType,	FriendlyName) VALUES
('ART_DEF_IMPROVEMENT_KEEIL',				'Improvement',	'Wonder'	);

INSERT INTO ArtDefine_StrategicView (StrategicViewType, TileType, Asset) VALUES
('ART_DEF_IMPROVEMENT_KEEIL',			'Improvement',	'sv_landmark.dds'	);


INSERT INTO ArtDefine_Landmarks (Era, State, Scale,	ImprovementType,					LayoutHandler,	ResourceType,					Model,						TerrainContour) VALUES
('Any', 'Constructed',			1,  				'ART_DEF_IMPROVEMENT_KEEIL',		'RANDOM',		'ART_DEF_RESOURCE_NONE',		'Keeil_b.fxsxml',				1	);

----------------------------------------------------------
-- Improvements
----------------------------------------------------------
INSERT INTO Improvements (Type,	Description,		Civilopedia,	ArtDefineTag,	Water, PillageGold, Permanent,	DestroyedWhenPillaged,	PortraitIndex,	IconAtlas) VALUES
('IMPROVEMENT_KEEIL',	'Wonder',	'TXT_KEY_EA_PYRAMID_PEDIA',	'ART_DEF_IMPROVEMENT_KEEIL',			0,	10,	1,	0,	54,	'UNIT_ACTION_ATLAS'	);

INSERT INTO Improvement_ValidTerrains (ImprovementType, TerrainType) VALUES
('IMPROVEMENT_KEEIL',			'TERRAIN_GRASS' ),
('IMPROVEMENT_KEEIL',			'TERRAIN_PLAINS'),
('IMPROVEMENT_KEEIL',			'TERRAIN_DESERT'),
('IMPROVEMENT_KEEIL',			'TERRAIN_TUNDRA'),
('IMPROVEMENT_KEEIL',			'TERRAIN_SNOW'	);

----------------------------------------------------------
-- Builds
----------------------------------------------------------
INSERT INTO Builds (Type,	PrereqTech,						Time,	ImprovementType,				Description,							Help,										Recommendation,								EntityEvent,				HotKey,	CtrlDownAlt,	CtrlDown,	AltDown,	HotKeyPriority,	OrderPriority,	IconIndex,	IconAtlas			) VALUES
('BUILD_PYRAMID',			NULL,							400,	'IMPROVEMENT_KEEIL',			'Build Wonder',				NULL,										NULL,										'ENTITY_EVENT_MINE',		'KB_P',	0,				0,			0,			0,				96,				54,			'UNIT_ACTION_ATLAS'		);
-- Unit_Builds
----------------------------------------------------------


INSERT INTO Unit_Builds (UnitType, BuildType) VALUES
('UNIT_WORKER', 'BUILD_PYRAMID');

----------------------------------------------------------
-- Civilization_FreeUnits (worker adds)
----------------------------------------------------------

INSERT INTO Civilization_FreeUnits (CivilizationType, UnitClassType, Count, UnitAIType)
SELECT Type, 'UNITCLASS_WORKER', 2, 'UNITAI_WORKER' FROM Civilizations;
